
{% extends 'base.html' %}
{% load static %}
{% block content %}
<!-- Preloader -->
<div id="preloader">
    <i class="circle-preloader"></i>
    <img src="{% static 'img/core-img/pizza.png' %}" alt="">
</div>

{% include 'partials/busca.html' %}

{% include 'partials/menu.html' %}
<div class="contact-area section-padding-0-80">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="section-heading">
                    <h3>Olá {{ user.username }}</h3>
                    <div class="container">
                        <div class="row">
                            {% if receitas %}
                            {% for receita in receitas %}
                            <!-- Single Best Receipe Area -->
                            <div class="col-12 col-sm-6 col-lg-4">
                                <div class="single-best-receipe-area mb-30">
                                    <div class="receipe-content">
                                        {% if receita.foto_receita == '' %}
                                            <img src="{% static 'img/bg-img/foto_receita.png' %}" alt="">
                                        {% else  %}
                                            <img src="{{ receita.foto_receita.url }}" alt="">
                                        {% endif %}
                                        <a href="{% url 'receita' receita.id %}">
                                            <h5>{{ receita.nome_receita }}</h5>
                                            <a class="btn btn-info" href="{% url 'edita_receita' receita.id %}">Editar</a>
                                            <a type="button" class="btn btn-danger" href="{% url 'deleta_receita' receita.id %}">Deletar</a>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            {% endfor %}
                            {% else %}
                            <h3>Não há receitas</h3>                
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
 </div>
{% include 'partials/footer.html' %}
{% endblock %}